/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx.h>


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    const eCxx::Application::Config config;

    eCxx::Application::initialize(config);
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event
    eCxx::Application::processEvent();
}
